PDA

View Full Version : VB.Net DocumentCreated event



KevinBarnett
2006-01-31, 08:11 AM
Hi,

I need to add a custom process at the DocumentCreated event. Please help, what is missing from this code?

Imports System
Imports Autodesk.AutoCAD.ApplicationServices

Public Class Class1

Implements Autodesk.AutoCAD.Runtime.IExtensionApplication

Private Shared WithEvents m_docMan As DocumentCollection

Private Shared Sub m_docMan_DocumentCreated(ByVal sender As Object, _
ByVal e As Autodesk.AutoCAD.ApplicationServices.DocumentCollectionEventArgs) _
Handles m_docMan.DocumentCreated
m_docMan = Application.DocumentManager

''''' write custom actions here...

End Sub
End Class

Thx.

Kevin.